%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	X.Org X11 X protocol C binding
Name:		libxcb
Version:	1.7
Release:	2
Epoch:		1
License:	MIT/X11
Group:		System/Libraries
URL:		http://xcb.freedesktop.org/wiki/
BuildArch:	i686

Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
BuildRequires:	xorg-x11-proto-devel
BuildRequires:	libpthread-stubs
BuildRequires:	python26-devel
Obsoletes:	%{name}-doc
Requires(pre):	xorg-x11-filesystem >= 0.99.2-3

BuildRequires: libxslt-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: pkg-config

%description
The X protocol C-language Binding (XCB) is a replacement for Xlib  featuring a small footprint,
latency hiding, direct access to the protocol, improved threading support, and extensibility.

%package	devel
Summary:	X.Org X11 xcb development package
Group:		Development/Libraries
Requires(pre):	xorg-x11-filesystem >= 0.99.2-3
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libpthread-stubs

%description devel
X.Org X11 xcb development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
	--disable-dependency-tracking \
	PYTHON=/usr/bin/%{__python} \
	--enable-xinput \
%if ! %{with_static}
	--disable-static
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :

# FIXME: Don't install Xcms.txt - find out why upstream still ships this.
find $RPM_BUILD_ROOT -name 'Xcms.txt' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libxcb-*so.*
%{_libdir}/libxcb.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/xcb/
%{_libdir}/libxcb-*.so
%{_libdir}/libxcb.so
%{_libdir}/pkgconfig/xcb*
%{_datadir}/doc/libxcb/

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.7-2
- rebuilt
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.7-1
- version update
* Thu Jul 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.6-1
- version update
* Sun Jan 10 2010 Christian Wasem <wasem@ccux-linux.de> 1:1.4-2
- removed rpm as a require
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.4-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.2-2
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.2-1
- Version update
* Sun Dec 28 2008 Christian Metzen <metzench@ccux-linux.de> 1:1.1.93-1
- Version update
* Tue Dec 23 2008 Christian Metzen <metzench@ccux-linux.de> 1:1.1.91-2
- Version downgrade
- should fix Bug #43 temporarily
- remove doc package
* Thu Nov 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.92-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.1.91-1
- Version update
* Wed May 28 2008 Christian Metzen <metzench@ccux-linux.de> 1.1-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0-2
- rebuilt against libxslt 1.1.22
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0-1
- Initial release
